{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "id": "#main/fasta_url",
                    "type": "string"
                },
                {
                    "id": "#main/fasta_index_url",
                    "type": "string"
                }
            ],
            "steps": [
                {
                    "id": "#main/download_fasta",
                    "run": "#downloader.cwl",
                    "in": [
                        {
                            "id": "#main/download_fasta/url",
                            "source": "#main/fasta_url"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/download_fasta/output"
                        }
                    ]
                },
                {
                    "id": "#main/download_fasta_index",
                    "run": "#downloader.cwl",
                    "in": [
                        {
                            "id": "#main/download_fasta_index/url",
                            "source": "#main/fasta_index_url"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/download_fasta_index/output"
                        }
                    ]
                },
                {
                    "id": "#main/root_fasta",
                    "run": "#root_fasta.cwl",
                    "in": [
                        {
                            "id": "#main/root_fasta/fasta",
                            "source": "#main/download_fasta/output"
                        },
                        {
                            "id": "#main/root_fasta/fasta_index",
                            "source": "#main/download_fasta_index/output"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/root_fasta/output"
                        }
                    ]
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "id": "#main/fasta",
                    "type": "File",
                    "outputSource": "#main/root_fasta/output"
                }
            ]
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "debian"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#downloader.cwl/url",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#downloader.cwl/output",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.url.split('/').slice(-1)[0])"
                    }
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(inputs.url.split('/').slice(-1)[0])",
                    "position": 1
                }
            ],
            "baseCommand": [
                "touch"
            ],
            "id": "#downloader.cwl"
        },
        {
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "$(inputs.fasta.basename)",
                            "entry": "$(inputs.fasta)"
                        },
                        {
                            "entryname": "$(inputs.fasta_index.basename)",
                            "entry": "$(inputs.fasta_index)"
                        }
                    ]
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#root_fasta.cwl/fasta",
                    "type": "File",
                    "format": "#root_fasta.cwl/format_1929"
                },
                {
                    "id": "#root_fasta.cwl/fasta_index",
                    "type": "File"
                }
            ],
            "outputs": [
                {
                    "id": "#root_fasta.cwl/output",
                    "type": "File",
                    "format": "#root_fasta.cwl/format_1929",
                    "outputBinding": {
                        "glob": "$(inputs.fasta.basename)"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ]
                }
            ],
            "baseCommand": [
                "true"
            ],
            "id": "#root_fasta.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
